gnutls_certificate_get_ocsp_expiration(3)

NAME
gnutls_certificate_get_ocsp_expiration - API function

SYNOPSIS
#include <gnutls/gnutls.h>

time_t gnutls_certificate_get_ocsp_expiration(gnutls_certificate_credentials_t sc, unsigned idx, int oidx, unsigned flags);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is a credentials structure.

unsigned idx
    is a certificate chain index as returned by gnutls_certificate_set_key() and friends

int oidx
    is an OCSP response index

unsigned flags
    should be zero

DESCRIPTION
This function returns the validity of the loaded OCSP responses, to provide information on when to reload/refresh them.

Note that the credentials structure should be read-only when in use, thus when reloading, either the credentials structure must not be in use by any sessions, or a new credentials structure should be allocated for new sessions.

When oidx is (-1) then the minimum refresh time for all responses is returned. Otherwise the index specifies the response corresponding to the odix certificate in the certificate chain.

RETURNS
On success, the expiration time of the OCSP response. Otherwise (time_t)(-1) on error, or (time_t)-2 on out of bounds.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/